<?php

class Declaracao extends CI_Controller {

    function __construct() {
        parent::__construct();
        $this->load->model('Certificado_Model');
        $this->load->model('Historico_Model', 'Historico_Model');
        $this->load->model('Cursos_Model');
        $this->load->library('pdf');
    }

    public function matricula($historico) {
        $id_historico = $this->criptografia->decodifica($historico);
        $historico_curso = $this->Historico_Model->getHistorico($id_historico);
        
       
        
        if ($historico_curso['concluido'] !== '1') {
            $id_curso = $historico_curso['id_curso'];
            $id_aluno = $historico_curso['id_aluno'];
            $cursos = $this->Cursos_Model->obtemCursosPorID($id_curso)[0];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id_aluno);
            $assina = $this->Certificado_Model->getAssinaturaAtual($id_aluno);
          
//             print_r($assina);
//             exit();
              
            $tipo_doc = $assina['tipo_doc'];
            $txt_doc = '';
            if ($tipo_doc == 1) {
                $txt_doc = "com RG: " . strtoupper($assina['documento']);
            } else if ($tipo_doc == 2) {
                $txt_doc = "com CPF: " . strtoupper($assina['documento']);
            } else {
                $txt_doc = "com CNH: " . strtoupper($assina['documento']);
            }
            
           
            if ($aluno['situacao'] == 2 || $aluno['situacao'] == 1) {
                $ch = ceil($historico_curso['carga_horaria'] / 8);
                $acres = '+ ' . $ch . ' days';
                $data_futura = date('d/m/Y', strtotime($historico_curso['primeiro_dia'] . $acres));
                $data_validade_matricula = date('d/m/Y', strtotime($historico_curso['primeiro_dia'] . ' + 90 days'));
                $pdf = new PDF('P', 'mm', 'A4');
                $pdf->AliasNbPages();
                $pdf->AddPage();
                $pdf->SetFont('Arial', 'B', 16);
                $pdf->Cell(80);
                $pdf->Cell(20, 80, utf8_decode('DECLARAÇÃO DE MATRÍCULA'), 0, 0, 'C');
                $pdf->Image('assets/img/logo-site.jpg', 90, 15, 0);
                $pdf->Image('assets/img/logo-ovumtec.png', 160, 10, 40);
                $pdf->setXY("160", "33");
                $pdf->SetFont('Arial', '', 7);
                $pdf->MultiCell(190, 3.3, utf8_decode("Travessa Quatorze de Março, 221\nUmarizal - Belém/PA - CEP: 66055-490\nCNPJ: 10.910.194/0001-16"), 0, 'J');
                $pdf->SetFont('Arial', '', 11);
                $pdf->setXY("11", "60");
                
                if(empty($historico_curso['ultimo_dia'])){
                $pdf->MultiCell(190, 5, utf8_decode('Declaro, para os devidos fins, que ' . $aluno['nome'] . ', ' . $txt_doc . ', '
                                . 'é aluno(a) do Programa de Formação "Amazônia Cursos", mantido pela Instituição de Ensino Ovumtec '
                                . 'e encontra-se matriculado(a) desde o dia ' . date("d/m/Y", strtotime($historico_curso['primeiro_dia'])) . ', '
                                . 'no Curso ' . mb_strtoupper($cursos->nome) . ', com carga  horária de ' . $historico_curso['carga_horaria'] . ' horas, '
                                . 'com conclusão prevista para o periodo de '.$data_futura.' à '.$data_validade_matricula.', '
                                . 'do Tipo Capacitação/Atualização, com número de matrícula ' . $historico_curso['id_historico'] . '.'), 0, 'J');
                $pdf->Image('assets/img/assinatura-diretor.jpg', 90, 105, 35);
                }
                else{
                  $pdf->MultiCell(190, 5, utf8_decode('Declaro, para os devidos fins, que ' . $aluno['nome'] . ', ' . $txt_doc . ', '
                                . 'é aluno(a) do Programa de Formação "Amazônia Cursos", mantido pela Instituição de Ensino Ovumtec '
                                . 'e encontra-se matriculado(a) desde o dia ' . date("d/m/Y", strtotime($historico_curso['primeiro_dia'])) . ', '
                                . 'no Curso ' . mb_strtoupper($cursos->nome) . ', com carga  horária de ' . $historico_curso['carga_horaria'] . ' horas, '
                                . 'com conclusão prevista para o dia '.date("d/m/Y", strtotime($historico_curso['ultimo_dia'])) .', '
                                . 'do Tipo Capacitação/Atualização, com número de matrícula ' . $historico_curso['id_historico'] . '.'), 0, 'J');
                $pdf->Image('assets/img/assinatura-diretor.jpg', 90, 105, 35);   
                }
                $pdf->SetFont('Arial', '', 10);
                $pdf->setXY("80", "130");
                $pdf->MultiCell(190, 3.3, "Prof. Me. Ezelildo G Dornelas", 0, 'J');
                $pdf->setXY("100", "135");
                $pdf->MultiCell(190, 3.3, "Diretor", 0, 'J');
                $pdf->setXY("11", "170");
                $pdf->SetFont('Arial', 'B', 11);
                
                
                $pdf->MultiCell(190, 3.3, utf8_decode("Obs: Declaração Válida por 90 Dias a partir da Data da Matrícula"), 0, 'J');
                $pdf->Output();
            }
            else{
               redirect('cursos'); 
            }
        } else {
            
            redirect('cursos');
        }
    }
    
     public function matricula_ead($historico) {
        $id_historico = $this->criptografia->decodifica($historico);
        $historico_curso = $this->Historico_Model->getHistorico($id_historico);
        
        if ($historico_curso['concluido'] !== '1') {
            $id_curso = $historico_curso['id_curso'];
            $id_aluno = $historico_curso['id_aluno'];
            $cursos = $this->Cursos_Model->obtemCursosPorID($id_curso)[0];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id_aluno);
            $assina = $this->Certificado_Model->getAssinaturaAtual($id_aluno);
            $tipo_doc = $assina['tipo_doc'];
            $txt_doc = '';
            if ($tipo_doc == 1) {
                $txt_doc = "com RG: " . strtoupper($assina['documento']);
            } else if ($tipo_doc == 2) {
                $txt_doc = "com CPF: " . strtoupper($assina['documento']);
            } else {
                $txt_doc = "com CNH: " . strtoupper($assina['documento']);
            }
            if ($aluno['situacao'] == 2 || $aluno['situacao'] == 1) {
                $ch = ceil($historico_curso['carga_horaria'] / 8);
                $acres = '+ ' . $ch . ' days';
                $data_futura = date('d/m/Y', strtotime($historico_curso['primeiro_dia'] . $acres));
                $data_validade_matricula = date('d/m/Y', strtotime($historico_curso['primeiro_dia'] . ' + 90 days'));
                $pdf = new PDF('P', 'mm', 'A4');
                $pdf->AliasNbPages();
                $pdf->AddPage();
                $pdf->SetFont('Arial', 'B', 16);
                $pdf->Cell(80);
                $pdf->Cell(20, 80, utf8_decode('DECLARAÇÃO DE MATRÍCULA EAD'), 0, 0, 'C');
                $pdf->Image('assets/img/logo-site.jpg', 90, 15, 0);
                $pdf->Image('assets/img/logo-ovumtec.png', 160, 10, 40);
                $pdf->setXY("160", "33");
                $pdf->SetFont('Arial', '', 7);
                $pdf->MultiCell(190, 3.3, utf8_decode("Travessa Quatorze de Março, 221\nUmarizal - Belém/PA - CEP: 66055-490\nCNPJ: 10.910.194/0001-16"), 0, 'J');
                $pdf->SetFont('Arial', '', 11);
                $pdf->setXY("11", "60");
                
                if(empty($historico_curso['ultimo_dia'])){
                $pdf->MultiCell(190, 5, utf8_decode('Declaro, para os devidos fins, que ' . $aluno['nome'] . ', ' . $txt_doc . ', '
                                . 'é aluno(a) do Programa de Formação "Amazônia Cursos", mantido pela Instituição de Ensino Ovumtec '
                                . 'e encontra-se matriculado(a) na Modalidade EAD, desde o dia ' . date("d/m/Y", strtotime($historico_curso['primeiro_dia'])) . ', '
                                . 'no Curso ' . mb_strtoupper($cursos->nome) . ', com carga  horária de ' . $historico_curso['carga_horaria'] . ' horas, '
                                . 'com conclusão prevista para o periodo de '.$data_futura.' à '.$data_validade_matricula.', '
                                . 'do Tipo Capacitação/Atualização, Modalidade EAD, com número de matrícula ' . $historico_curso['id_historico'] . '.'), 0, 'J');
                $pdf->Image('assets/img/assinatura-diretor.jpg', 90, 105, 35);
                }
                else{
                  $pdf->MultiCell(190, 5, utf8_decode('Declaro, para os devidos fins, que ' . $aluno['nome'] . ', ' . $txt_doc . ', '
                                . 'é aluno(a) do Programa de Formação "Amazônia Cursos", mantido pela Instituição de Ensino Ovumtec '
                                . 'e encontra-se matriculado(a) na Modalidade EAD, desde o dia ' . date("d/m/Y", strtotime($historico_curso['primeiro_dia'])) . ', '
                                . 'no Curso ' . mb_strtoupper($cursos->nome) . ', com carga  horária de ' . $historico_curso['carga_horaria'] . ' horas, '
                                . 'com conclusão prevista para o dia '.date("d/m/Y", strtotime($historico_curso['ultimo_dia'])) .', '
                                . 'do Tipo Capacitação/Atualização, com número de matrícula ' . $historico_curso['id_historico'] . '.'), 0, 'J');
                $pdf->Image('assets/img/assinatura-diretor.jpg', 90, 105, 35);   
                }
                $pdf->SetFont('Arial', '', 10);
                $pdf->setXY("80", "130");
                $pdf->MultiCell(190, 3.3, "Prof. Me. Ezelildo G Dornelas", 0, 'J');
                $pdf->setXY("100", "135");
                $pdf->MultiCell(190, 3.3, "Diretor", 0, 'J');
                $pdf->setXY("11", "170");
                $pdf->SetFont('Arial', 'B', 11);
                $pdf->MultiCell(190, 3.3, utf8_decode("Obs: Declaração Válida por 90 Dias a partir da Data da Matrícula"), 0, 'J');
                $pdf->Output();
            }
        } else {
            redirect();
        }
    }

    public function curso($historico) {
        $id_historico = $this->criptografia->decodifica($historico);
        $historico_curso = $this->Historico_Model->getHistorico($id_historico);

        if ($historico_curso['concluido'] == 1) {
            $id_curso = $historico_curso['id_curso'];
            $id_aluno = $historico_curso['id_aluno'];
            $cursos = $this->Cursos_Model->obtemCursosPorID($id_curso)[0];
            $aluno = $this->Cadastro_Model->getAlunoPorID($id_aluno);
            $assina = $this->Certificado_Model->getAssinaturaAtual($id_aluno);
            $tipo_doc = $assina['tipo_doc'];
            $txt_doc = '';
            if ($tipo_doc == 1) {
                $txt_doc = "RG: " . strtoupper($assina['documento']);
            } else if ($tipo_doc == 2) {
                $txt_doc = "CPF: " . strtoupper($assina['documento']);
            } else {
                $txt_doc = "CNH: " . strtoupper($assina['documento']);
            }
            if ($aluno['situacao'] == 2 || $aluno['situacao'] == 1) {
                $pdf = new PDF('P', 'mm', 'A4');
                $pdf->AliasNbPages();
                $pdf->AddPage();
                $txt_situacao = "";

                if ($historico_curso['nota'] >= 50) {
                    $txt_situacao = "Situação: Aprovado";
                }

                $pdf->SetFont('Arial', 'B', 19);
                $pdf->Cell(80);
                $pdf->Cell(20, 60, utf8_decode('DECLARAÇÃO'), 0, 0, 'C');
                $pdf->Image('assets/img/logo-site.jpg', 90, 20, 0);
                $pdf->Image('assets/img/logo-ovumtec.png', 160, 15, 40);
                $frequencia = '';
                if ($historico_curso['concluido'] == 1) {
                    if ($historico_curso['frequencia'] > 0) {
                        $frequencia = "Frequência: " . $historico_curso['frequencia'] . '%' . "\n";
                    }
                }

                $pdf->SetFont('Arial', '', 10);
                $pdf->Cell(85, 80, utf8_decode('Declaro para os devidos fins de direito que as informações abaixo elencadas constam em nossos arquivos e dou fé.'), 0, '', 'R');
                $pdf->setXY("11", "70");
                $pdf->MultiCell(190, 5, utf8_decode("Curso: " . mb_strtoupper($cursos->nome) . "\n" .
                                "Aluno(a): " . $aluno['nome'] . "\n" .
                                $txt_doc . "\n" .
                                "Carga Horária: " . $historico_curso['carga_horaria'] . " Horas" . "\n" .
                                "Tipo: Capacitação/ Atualização" . "\n" .
                                "Aproveitamento: " . number_format($historico_curso['nota'], 1, ',', '.') . "\n" .
                                $frequencia .
                                "Período: " . date("d/m/Y", strtotime($historico_curso['primeiro_dia'])) . utf8_decode(' a ') . date("d/m/Y", strtotime($historico_curso['ultimo_dia'])) . "\n" .
                                "Cert. Nº 008." . $historico_curso['id_historico'] . "\n" .
                                $txt_situacao), 0, '');
                $pdf->SetFont('Arial', 'B', 10);
                $pdf->setXY("11", "120");
                $pdf->MultiCell(190, 20, utf8_decode("Conteúdo do Curso"), 0, '');
                $pdf->setXY("11", "135");

                $fontSizeConteudo = 10;
                $pdf->SetFont('Arial', '', number_format($fontSizeConteudo, 2, '.', '.'));
                $ementa = $this->Certificado_Model->ementa($cursos->ementa);
                $pdf->MultiCell(190, 3.3, $ementa, 0, 'J');
                $pdf->SetFont('Arial', '', 10);
                if (strlen($ementa) < 582) {
                    $pdf->setXY("11", "186");
                } else {
                    $pdf->setXY("11", "190");
                }
                $txt_rodape = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nº 6/2012, Art. 25º. Decreto 5154/2004, Art. 3º" . "\n" .
                        "Programa de Formação: Amazônia Cursos" . "\n" .
                        "Documento gerado eletronicamente." . "\n" .
                        "Local e Data de Emissão: Belém," . date('d/m/Y') . "\n" .
                        "Mantenedora: OVUMTEC CONSULTORIA EM TECNOLOGIA DA INFORMACAO EIRELI" . "\n" .
                        "Endereço: Trav. 14 de Março 221, Cep:66055490 Telefone: (11) 5199-4483");
                $pdf->MultiCell(190, 5, $txt_rodape, 0, '');
                $pdf->Image('assets/img/assinatura-diretor.jpg', 90, 235, 35);
                $pdf->SetFont('Arial', '', 10);
                $pdf->setXY("80", "260");
                $pdf->MultiCell(190, 3.3, "Prof. Me. Ezelildo G Dornelas", 0, 'J');
                $pdf->setXY("100", "265");
                $pdf->MultiCell(190, 3.3, "Diretor", 0, 'J');
                $pdf->Output();
            }
        } else {
            redirect();
        }
    }
    
    public function autenticidade($historico) {
        $id_historico = $this->criptografia->decodifica($historico);
        $h = $this->Historico_Model->getHistorico($id_historico);
        $verificaCert = $this->Certificado_Model->getAutenticaHistorico($id_historico, 2);
       
        $id_aluno = $h['id_aluno'];
        $id_curso = $h['id_curso'];
        $aluno = $this->Cadastro_Model->getAlunoPorID($id_aluno);
        
        $cursos = $this->Cursos_Model->obtemCursosPorID($id_curso)[0];

        $cod_autenticacao = '';
        if (empty($verificaCert)) {
            $cod_autenticacao = $h['cod_autenticacao'];
        } else {
            $cod_autenticacao = $verificaCert[0]->cod_autenticacao;
        }
        $linkcert = $this->Certificado_Model->consultaOvumDocs($cod_autenticacao)->arquivo->link;
        
        
        $pdf = new PDF('P', 'mm', 'A4');
        $pdf->AliasNbPages();
        $pdf->AddPage();
        $pdf->SetFont('Arial', '', 12);
        $pdf->setXY("15", "35");
        $pdf->MultiCell(100, 7, utf8_decode('OVUMTEC SOLUÇÕES'. "\n".'CNPJ 10.910.194/0001-16'."\n".'Travessa 14 de Março, 221, Belém, Pará'), 0, 'L');
        
        $pdf->SetFont('Arial', '', 12);
        $pdf->setXY("15", "65");
        $pdf->MultiCell(100, 7, utf8_decode('Programa de Formação Amazônia Cursos'), 0, 'L');
        
        $pdf->SetFont('Arial', 'B', 12);
        $pdf->setXY("15", "80");
        $pdf->MultiCell(100, 7, utf8_decode('DECLARAÇÃO DE AUTENTICIDADE'), 0, 'L');
        
        $pdf->SetFont('Arial', '', 12);
        $pdf->setXY("15", "95");
        $pdf->MultiCell(180, 7, utf8_decode('Declaro, para os devidos fins, que é autêntico o certificado número '.$id_historico.
                ' sob código de autenticação '
                .$cod_autenticacao." emitido em nome de "
                .$aluno['nome']. 
                ' que realizou o curso '.$cursos->nome.
                ' conforme certificado em anexo, disponível em '.$linkcert.
                ''), 0, 'J');
        
        $pdf->SetFont('Arial', '', 12);
        $pdf->setXY("15", "145");
        if ($h['concluido'] == 1) {
        $pdf->MultiCell(100, 7, utf8_decode('Belém, '.date("d/m/Y", strtotime($h['ultimo_dia']))), 0, 'L');
        } else {
        $pdf->MultiCell(100, 7, utf8_decode('Belém, '.date("d/m/Y", strtotime($h['primeiro_dia']))), 0, 'L');    
        }
        
        $pdf->Image('assets/img/certificado/assinatura_2.png', -58, 30, 210);
        
        $pdf->Output();
    }
}
